package com.xf1024.common.base.expt;

public class BaseRuntimeException extends RuntimeException {

    protected String code;

    public BaseRuntimeException(String exptCode, String exptMsg) {
        super(exptMsg);
        this.code = exptCode;
    }

    public BaseRuntimeException(String exptMsg) {
        super(exptMsg);
    }

    public BaseRuntimeException(Exception e) {
        super(e);
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
