package com.xf1024.common.dao;

import com.xf1024.common.base.model.PagingModel;
import com.xf1024.common.model.CriteriaModel;
import com.xf1024.common.model.DateBetweenModel;
import com.xf1024.common.model.SortModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MyBatisCustomDao extends BaseDao {
    
    /**
     *
     * @param criteria
     * @return
     */
    long countByEntity(@Param("criteria") CriteriaModel criteria);

    /**
     *
     * @param criteria
     * @param sort
     * @param paging
     * @return
     */
    List<Object> selectByEntity(@Param("criteria") CriteriaModel criteria, @Param("sort") SortModel sort, @Param("paging") PagingModel paging);

    /**
     *
     * @param criteria
     * @return
     */
    int deleteByEntity(@Param("criteria") CriteriaModel criteria);

}
