package com.xf1024.common.model;

import java.io.Serializable;

public class SortModel implements Serializable {

	/**
	 * 升序
	 */
	public static final String ASC = "ASC";

	/**
	 * 降序
	 */
	public static final String DESC = "DESC";

	private String column;

	/**
	 * ASC DESC
	 */
	private String method;

	public SortModel(String column, String method) {

		this.column = column;
		this.method = method;
	}
	
	public SortModel(String column) {

		this.column = column;
		this.method = DESC;
	}

	public String getColumn() {
		return column;
	}

	public void setColumn(String column) {
		this.column = column;
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}

}
