package com.xf1024.common.util;

import com.xf1024.common.base.model.PagingModel;
import com.xf1024.common.dao.entity.MyBatisBaseExample;

public class ExampleUtil {

    /**
     *
     * @param baseExample
     * @param pagingModel
     */
    public static void copyPagingInfo(MyBatisBaseExample baseExample, PagingModel pagingModel) {

        baseExample.setPageNo(pagingModel.getPageNo());
        baseExample.setPageSize(pagingModel.getPageSize());
        baseExample.setOffset(pagingModel.getOffset());

    }

    /**
     *
     * @param pagingModel
     * @param baseExample
     */
    public static void copyPagingInfo(PagingModel pagingModel, MyBatisBaseExample baseExample) {

        pagingModel.setPageNo(baseExample.getPageNo());
        pagingModel.setPageSize(baseExample.getPageSize());
        pagingModel.setOffset(baseExample.getOffset());

    }

}
