package com.xf1024.common.base.vo;

import java.io.Serializable;

public class PagingVo implements Serializable {

    // 当前页码
    private int pageNo = 1;
    // 每行显示数据条数
    private int pageSize = 10;
    // 起始位置
    private int offset;

    public PagingVo() {

    }

    public PagingVo(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
        this.offset = (pageNo - 1) * pageSize;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
        this.offset = (pageNo - 1) * pageSize;
    }

    public int getOffset() {

        return offset;
    }

    public void setOffset(int offset) {
        this.offset = offset;
    }

}
