package com.xf1024.common.dao.entity;

public class MyBatisBaseExample implements BaseEntity {

    // 当前页码
    private Integer pageNo;

    // 每行显示数据条数
    private Integer pageSize;

    // 起始位置
    private Integer offset;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
        if (null != pageNo && null != pageSize) {
            this.offset = (pageNo - 1) * pageSize;
        }
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
        if (null != pageNo && null != pageSize) {
            this.offset = (pageNo - 1) * pageSize;
        }
    }

    public Integer getOffset() {
        return offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }
}
